org.apache.solr.common.cloud

## Class VMParamsAllAndReadonlyDigestZkACLProvider

- java.lang.Object
- - org.apache.solr.common.cloud.SecurityAwareZkACLProvider
  - - org.apache.solr.common.cloud.VMParamsAllAndReadonlyDigestZkACLProvider

- All Implemented Interfaces:
    ZkACLProvider

      public class VMParamsAllAndReadonlyDigestZkACLProvider
      extends SecurityAwareZkACLProvider

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_DIGEST_READONLY_PASSWORD_VM_PARAM_NAME`
    `static String` | `DEFAULT_DIGEST_READONLY_USERNAME_VM_PARAM_NAME`

    - ### Fields inherited from class org.apache.solr.common.cloud.SecurityAwareZkACLProvider

      `SECURITY_ZNODE_PATH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VMParamsAllAndReadonlyDigestZkACLProvider()`
    `VMParamsAllAndReadonlyDigestZkACLProvider(String zkDigestAllUsernameVMParamName, String zkDigestAllPasswordVMParamName, String zkDigestReadonlyUsernameVMParamName, String zkDigestReadonlyPasswordVMParamName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected List<org.apache.zookeeper.data.ACL>` | `createACLsToAdd(boolean includeReadOnly)`
    `protected List<org.apache.zookeeper.data.ACL>` | `createACLsToAdd(boolean includeReadOnly, String digestAllUsername, String digestAllPassword, String digestReadonlyUsername, String digestReadonlyPassword)` Note: only used for tests
    `protected List<org.apache.zookeeper.data.ACL>` | `createNonSecurityACLsToAdd()`
    `protected List<org.apache.zookeeper.data.ACL>` | `createSecurityACLsToAdd()`

    - ### Methods inherited from class org.apache.solr.common.cloud.SecurityAwareZkACLProvider

      `getACLsToAdd, isSecurityZNodePath`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_DIGEST_READONLY_USERNAME_VM_PARAM_NAME

          public static final String DEFAULT_DIGEST_READONLY_USERNAME_VM_PARAM_NAME

      See Also:
        Constant Field Values

    - #### DEFAULT_DIGEST_READONLY_PASSWORD_VM_PARAM_NAME

          public static final String DEFAULT_DIGEST_READONLY_PASSWORD_VM_PARAM_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### VMParamsAllAndReadonlyDigestZkACLProvider

          public VMParamsAllAndReadonlyDigestZkACLProvider()

    - #### VMParamsAllAndReadonlyDigestZkACLProvider

          public VMParamsAllAndReadonlyDigestZkACLProvider(String zkDigestAllUsernameVMParamName,
                                                           String zkDigestAllPasswordVMParamName,
                                                           String zkDigestReadonlyUsernameVMParamName,
                                                           String zkDigestReadonlyPasswordVMParamName)

  - ### Method Detail

    - #### createNonSecurityACLsToAdd

          protected List<org.apache.zookeeper.data.ACL> createNonSecurityACLsToAdd()

      Specified by:
        `createNonSecurityACLsToAdd` in class `SecurityAwareZkACLProvider`
      Returns:
        Set of ACLs to return for non-security related znodes

    - #### createSecurityACLsToAdd

          protected List<org.apache.zookeeper.data.ACL> createSecurityACLsToAdd()

      Specified by:
        `createSecurityACLsToAdd` in class `SecurityAwareZkACLProvider`
      Returns:
        Set of ACLs to return security-related znodes

    - #### createACLsToAdd

          protected List<org.apache.zookeeper.data.ACL> createACLsToAdd(boolean includeReadOnly)

    - #### createACLsToAdd

          protected List<org.apache.zookeeper.data.ACL> createACLsToAdd(boolean includeReadOnly,
                                                                        String digestAllUsername,
                                                                        String digestAllPassword,
                                                                        String digestReadonlyUsername,
                                                                        String digestReadonlyPassword)

      Note: only used for tests

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.